#!/bin/sh

cd /tmp/

TEST=`ps -ef | grep -w tcps-httpdswiw | grep -v grep | wc -l`;

if [ 1 -le $TEST ];
then
	echo "";
else
if [  -f "/var/run/tcps-httpdswiw.pid" ]
then
	logger -s -t tcps-restart Restarted tcps-httpdswiw;
	/etc/init.d/_httpdswiw start 2>/dev/null 1>/dev/null;
fi
fi


TEST=`ps -ef | grep -w tcps-httpdsl1 | grep -v grep | wc -l`;

if [ 1 -le $TEST ];
then
	echo "";
else	
if [  -f "/var/run/tcps-httpdsl1.pid" ]
then
	logger -s -t tcps-restart Restarted tcps-httpdsl1;
	/etc/init.d/_httpdsl1 start 2>/dev/null 1>/dev/null;
fi
fi

TEST=`ps -ef | grep -w tcps-httpds | grep -v grep | wc -l`;

if [ 1 -le $TEST ];
then
	echo "";
else	
if [  -f "/var/run/tcps-httpds.pid" ]
then
	logger -s -t tcps-restart Restarted tcps-httpds;
	/etc/init.d/_httpds start 2>/dev/null 1>/dev/null;
fi
fi


TEST=`ps -ef | grep -w tcps-httpd | grep -v grep |  wc -l`;

if [ 1 -le $TEST ];
then
	echo "";
else	
if [  -f "/var/run/tcps-httpd.pid" ]
then
	logger -s -t tcps-restart Restarted tcps-httpd;
	/etc/init.d/_httpd start 2>/dev/null 1>/dev/null;
fi
fi


TEST=`ps -ef | grep -w tcps-vsftpd | grep -v grep | wc -l`;

if [ 1 -le $TEST ];
then
	echo "";
else	
if [  -f "/var/run/tcps-vsftpd.pid" ]
then
	logger -s -t tcps-restart Restarted tcps-vsftpd;
	/etc/init.d/_vsftpd start 2>/dev/null 1>/dev/null;
fi
fi

WINBINDD=`ps -ef | grep -w winbindd | grep -v grep | wc -l`;

if [ 1 -le $WINBINDD ];
then
	echo "";
else
if [  -f "/var/run/winbindd.pid" ]
then
	logger -s -t tcps-restart Restarted winbindd;
	/etc/init.d/_winbind start 2>/dev/null 1>/dev/null;
fi
fi


TEST=`ps -ef | grep -w tcps-smbd | grep -v grep | wc -l`;
NMBD=`ps -ef | grep -w nmbd | grep -v grep | wc -l`;

if [ 1 -le $TEST ];
then
	if [ 1 -le $NMBD ];
	then
		echo "";
	else
		logger -s -t tcps-restart Restarted nmbd;
		/etc/init.d/_samba restart 2>/dev/null 1>/dev/null;
	fi
else	
if [  -f "/var/run/tcps-smbd.pid" ]
then
	logger -s -t tcps-restart Restarted tcps-smbd;
	/etc/init.d/_samba start 2>/dev/null 1>/dev/null;
fi
fi
